Subject: Re: [AVTCORE] AD review of draft-ietf-avtcore-leap-second

From: Kevin Gross <[email-masked]>
Date: Sat, 14 Dec 2013 17:26:50 -0700

Thanks for the suggestion Richard. I propose to insert the following
paragraph at the beginning of section 5.1:

"In order to avoid generating or using NTP timestamps during positive leap
seconds, RTP senders and receivers need to avoid sending or using sender
reports to synchronize their clocks in the vicinity of a leap second and
instead rely on their internal clocks to maintain sync until the leap
second has passed."

I will also fix the editorial nit as you suggest.

Kevin Gross
+1-303-447-0517
Media Network Consultant
AVA Networks - www.AVAnw.com <http://www.avanw.com/>

On Sun, Nov 24, 2013 at 1:07 PM, Richard Barnes <[email-masked]> wrote:

> I have reviewed this draft in preparation for IETF LC, and think it looks
> good to go.
>
> One thing the authors might keep in mind while doing any LC or DISCUSS
> edits is that it may not be immediately clear to the reader how suppressing
> or ignoring SRs (Section 5.1) is helpful with this problem.   There's a
> line in Section 5 that explains this ("generating or using NTP timestamps
> ... SHOULD be avoided"), but it would be helpful to tie the two ideas
> together.  Perhaps something like this at the beginning of Section 5.1:
> NEW: "In order to avoid generating or using NTP timestamps during periods
> where confusion might arise (see above), RTP senders and receivers need to
> avoid using RTCP Sender Reports (SRs) to synchronize their clocks during
> this window, instead relying on their internal clocks to maintain sync in
> the vicinity of a leap second."
>
> Editorial nit: In Section 5,
> OLD: "the timestamp ambiguity, positive leap seconds"
> NEW: "the timestamp ambiguity that positive leap seconds"
>
> Thanks,
> --Richard
>
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>
>